xapian-core 2.0.0

List of all members
Xapian::LogicError Class Reference

The base class for exceptions indicating errors in the program logic. More...

`#include <error.h>`

Inheritance diagram for Xapian::LogicError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Xapian::Error
| Error (const Error &)=default
| Default copy constructor.
const char * | get_type () const noexcept
| The type of this error (e.g. "DocNotFoundError".).
const std::string & | get_msg () const noexcept
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const noexcept
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

The base class for exceptions indicating errors in the program logic.

A subclass of LogicError will be thrown if Xapian detects a violation of a class invariant or a logical precondition or postcondition, etc.

The documentation for this class was generated from the following file:

- xapian/error.h